Bug 1127444 - [abrt] eclipse-pydev: Py_FatalError(): python2.7 killed by SIGABRT
Summary: [abrt] eclipse-pydev: Py_FatalError(): python2.7 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:10c06f4bacb2e35ba1b605d8319...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:59 UTC by David Siembab
Modified: 2015-06-29 21:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:28 UTC


Attachments (Terms of Use)
File: backtrace (99.17 KB, text/plain)
2014-08-06 20:59 UTC, David Siembab
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-06 20:59 UTC, David Siembab
no flags Details
File: core_backtrace (20.07 KB, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: dso_list (68.81 KB, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: environ (1.31 KB, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: maps (317.46 KB, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: open_fds (566 bytes, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details
File: var_log_messages (202 bytes, text/plain)
2014-08-06 21:00 UTC, David Siembab
no flags Details

Description David Siembab 2014-08-06 20:59:55 UTC
Version-Release number of selected component:
eclipse-pydev-3.5.0-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python2.7 -u /usr/share/eclipse/dropins/pydev/plugins/org.python.pydev_3.5.0.201405291619/pysrc/pycompletionserver.py 60554
crash_function: Py_FatalError
executable:     /usr/bin/python2.7
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Py_FatalError at /lib64/libpython2.7.so.1.0
 #4 QString::QString() at /usr/lib64/qt-3.3/lib/libqt-mt.so.3
 #5 _GLOBAL__sub_I_qstring.cpp at /usr/lib64/qt-3.3/lib/libqt-mt.so.3
 #6 call_init.part at /lib64/ld-linux-x86-64.so.2
 #7 _dl_init_internal at /lib64/ld-linux-x86-64.so.2
 #8 dl_open_worker at /lib64/ld-linux-x86-64.so.2
 #9 _dl_catch_error at /lib64/ld-linux-x86-64.so.2
 #10 _dl_open at /lib64/ld-linux-x86-64.so.2
 #11 dlopen_doit at /lib64/libdl.so.2
 #12 _dl_catch_error at /lib64/ld-linux-x86-64.so.2

Comment 1 David Siembab 2014-08-06 20:59:58 UTC
Created attachment 924608 [details]
File: backtrace

Comment 2 David Siembab 2014-08-06 20:59:59 UTC
Created attachment 924609 [details]
File: cgroup

Comment 3 David Siembab 2014-08-06 21:00:00 UTC
Created attachment 924610 [details]
File: core_backtrace

Comment 4 David Siembab 2014-08-06 21:00:02 UTC
Created attachment 924611 [details]
File: dso_list

Comment 5 David Siembab 2014-08-06 21:00:03 UTC
Created attachment 924612 [details]
File: environ

Comment 6 David Siembab 2014-08-06 21:00:04 UTC
Created attachment 924613 [details]
File: limits

Comment 7 David Siembab 2014-08-06 21:00:06 UTC
Created attachment 924614 [details]
File: maps

Comment 8 David Siembab 2014-08-06 21:00:07 UTC
Created attachment 924615 [details]
File: open_fds

Comment 9 David Siembab 2014-08-06 21:00:08 UTC
Created attachment 924616 [details]
File: proc_pid_status

Comment 10 David Siembab 2014-08-06 21:00:09 UTC
Created attachment 924617 [details]
File: var_log_messages

Comment 11 Alexander Kurtakov 2015-05-05 11:07:38 UTC
Does it occur on Fedora 21/22? Can you provide exact instructions for reproducing?

Comment 12 Fedora End Of Life 2015-05-29 12:34:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:57:28 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.